com.tibco.tibjms.admin

## Class QueueInfo

- java.lang.Object
- - com.tibco.tibjms.admin.DestinationInfo
  - - com.tibco.tibjms.admin.QueueInfo

-     public class QueueInfo
      extends DestinationInfo

  This class represents a message queue that is configured on the EMS server.

- - ### Field Summary

    - ### Fields inherited from class com.tibco.tibjms.admin.DestinationInfo

      `ALL_TYPE, DEST_GET_ALL, DEST_GET_DYNAMIC, DEST_GET_NOTEMP, DEST_GET_STATIC, MSG_TRACE_BASIC, MSG_TRACE_DETAIL, MSG_TRACE_NONE, OVERFLOW_DEFAULT, OVERFLOW_DISCARD_OLD, OVERFLOW_REJECT_INCOMING, PREFETCH_DEFAULT, PREFETCH_NONE, QUEUE_TYPE, TOPIC_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueInfo(java.lang.String queueName)` The public constructor creates a QueueInfo object with the given name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueueInfo` | `from(javax.management.openmbean.CompositeData cd)` For Internal use only, may be removed or deprecated in future.
    `long` | `getDeliveredMessageCount()` Get the total number of messages that have been delivered to consumer applications but have not yet been acknowledged.
    `long` | `getInTransitMessageCount()` Get the total number of messages that have been delivered to the queue owner but have not yet been acknowledged.
    `int` | `getMaxRedelivery()` Get the maximum number of times the server will redeliver a given message from this queue to the queue receivers.
    `int` | `getReceiverCount()` Get the number of active receivers on this queue.
    `java.lang.String` | `getRouteName()` Get the name of this routed queue's route
    `boolean` | `isExclusive()` Determine if this queue is exclusive.
    `boolean` | `isExclusiveInherited()` Determine if the exclusive property is inherited from a parent queue.
    `boolean` | `isMaxRedeliveryInherited()` Determine if the maxRedelivery property was inheritied from a parent queue or set directly for this queue.
    `boolean` | `isRouteConnected()` Determine if the route for this queue is connected.
    `boolean` | `isRouted()` Determine if this is a routed queue or not.
    `void` | `setExclusive(boolean exclusive)` Set the exclusive property for this queue.
    `void` | `setMaxRedelivery(int maxRedelivery)` Set the maximum number of times the server will redeliver a given message from this queue to the queue receivers.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.tibco.tibjms.admin.DestinationInfo

      `addImportTransport, areBridgeTargetsInherited, areImportTransportsInherited, connectionID, getBridgeTargets, getConsumerCount, getDescription, getExpiryOverride, getFlowControlMaxBytes, getImportTransports, getInboundStatistics, getJNDINames, getMaxBytes, getMaxMsgs, getMsgTrace, getName, getOutboundStatistics, getOverflowPolicy, getPendingMessageCount, getPendingMessageSize, getPendingPersistentMessageCount, getPendingPersistentMessageSize, getPrefetch, getRedeliveryDelay, getStore, isBridgeTargetsInherited, isExpiryOverrideInherited, isFailsafe, isFailsafeInherited, isFlowControlMaxBytesInherited, isGlobal, isGlobalInherited, isImportTransportsInherited, isMaxBytesInherited, isMaxMsgsInherited, isMsgTraceInherited, isOverflowPolicyInherited, isPrefetchInherited, isRedeliveryDelayInherited, isSecure, isSecureInherited, isSenderName, isSenderNameEnforced, isSenderNameEnforcedInherited, isSenderNameInherited, isStatic, isStoreInherited, isTemporary, removeImportTransport, setDescription, setExpiryOverride, setFailsafe, setFlowControlMaxBytes, setGlobal, setMaxBytes, setMaxMsgs, setMsgTrace, setOverflowPolicy, setPrefetch, setRedeliveryDelay, setSecure, setSenderName, setSenderNameEnforced, setStore, statString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueInfo

          public QueueInfo(java.lang.String queueName)

      The public constructor creates a QueueInfo object with the given name. The queue is not created on the server until the object is passed to TibjmsAdmin.createQueue().
      Parameters:
        `queueName` - the name for the queue being created.

  - ### Method Detail

    - #### isExclusive

          public boolean isExclusive()

      Determine if this queue is exclusive.
      Returns:
        true if this queue has the exclusive property set.

    - #### isExclusiveInherited

          public boolean isExclusiveInherited()

      Determine if the exclusive property is inherited from a parent queue.
      Returns:
        true if the exclusive property is inherited from a parent queue.

    - #### setExclusive

          public void setExclusive(boolean exclusive)

      Set the exclusive property for this queue.
      Parameters:
        `exclusive` - true if this queue should be exclusive.

    - #### isRouted

          public boolean isRouted()

      Determine if this is a routed queue or not.
      Returns:
        true if the queue is routed.
      Since:
        EMS 4.4

    - #### getRouteName

          public java.lang.String getRouteName()

      Get the name of this routed queue's route
      Returns:
        the route name or null if the queue is not routed
      Since:
        EMS 4.4

    - #### isRouteConnected

          public boolean isRouteConnected()

      Determine if the route for this queue is connected.
      Returns:
        true if the route for this queue is connected.

    - #### getReceiverCount

          public int getReceiverCount()

      Get the number of active receivers on this queue.
      Returns:
        the number of active receivers on this queue.

    - #### getMaxRedelivery

          public int getMaxRedelivery()

      Get the maximum number of times the server will redeliver a given message from this queue to the queue receivers.
      Returns:
        the maximum number of times a message will be redelivered. A return value of zero indicates that the server will continue to deliver a message to the receivers until either the message is consumed or, if the message has a finite time to live, the message expires.

    - #### setMaxRedelivery

          public void setMaxRedelivery(int maxRedelivery)

      Set the maximum number of times the server will redeliver a given message from this queue to the queue receivers.
      Parameters:
        `maxRedelivery` - the maximum number of times a message should be redelivered. Set the value to zero to cancel the current value.

    - #### isMaxRedeliveryInherited

          public boolean isMaxRedeliveryInherited()

      Determine if the maxRedelivery property was inheritied from a parent queue or set directly for this queue.
      Returns:
        true if the maxRedelivery property was inherited.

    - #### getDeliveredMessageCount

          public long getDeliveredMessageCount()

      Get the total number of messages that have been delivered to consumer applications but have not yet been acknowledged.
      Returns:
        the total number of delivered messages for this queue.

    - #### getInTransitMessageCount

          public long getInTransitMessageCount()

      Get the total number of messages that have been delivered to the queue owner but have not yet been acknowledged.
      Returns:
        the total number of in transit messages for this queue.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### from

          public static QueueInfo from(javax.management.openmbean.CompositeData cd)
                                throws java.lang.Exception

      For Internal use only, may be removed or deprecated in future.
      Returns:
        a QueueInfo object from CompositeData
      Throws:
        `java.lang.IllegalArgumentException` - if CompositeType does not match or if a null CompositeData is passed.
        `java.lang.Exception`

Copyright © Cloud Software Group, Inc. All rights reserved